<?xml version="1.0" encoding="UTF-8"?>

<!-- IGAC proyecto SNC -->
<!-- @author felipe.cadena -->
<!-- @cu CU-NP-CO-219 -->
<!-- @description  detalle de las listas de actividades utilizadas en las vistas del CU 

@modified by leidy.gonzalez :: 06/05/2016 :: #14898 :: Se modifica paginador de la tabla para que liste 10, 50 ,100-->


<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             width="100%">

    <p:dataTable id="dataTableActividadesGeneral"
                 value="#{listaActividadesParam}" var="actividad"
                 paginator="true" rows="10" rowKey="#{actividad.id}"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 rowsPerPageTemplate="50,100,500" paginatorPosition="bottom"
                 selection="#{listaActividadesSeleccionadosParam}"
                 emptyMessage="No se encontraron trámites.">

        <p:column selectionMode="multiple" rendered="#{seleccionParam}"/>

        <p:column headerText="Actividad">

            <p:commandLink oncomplete="tramitesActividadWV.show();"
                           update=":detalleActividadForm">
                <h:outputText value="#{actividad.nombre} ( #{actividad.observacion} )"
                              styleClass="commandLinkStyleInTable" />
                <f:setPropertyActionListener value="#{actividad}"
                                             target="#{actividadDetalleParam}" />
            </p:commandLink>

        </p:column>

        <p:column headerText="Rol">
            <h:outputText value="#{actividad.roles[0]}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>
        <p:column headerText="Nombre">
            <h:outputText value="#{actividad.usuarioEjecutor}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>



    </p:dataTable>

</h:panelGrid>

